Bug 865350 (CVE-2012-5070)

Summary: CVE-2012-5070 OpenJDK: EnvHelp information disclosure (JMX, 7158796)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, aph, dbhole, jvanek, rkennke, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121016,reported=20121011,source=oracle,cvss2=5/AV:N/AC:L/Au:N/C:P/I:N/A:N,rhel-5/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.6.0-sun=notaffected,rhel-6/java-1.6.0-sun=notaffected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: icedtea7 2.1.3, icedtea7 2.2.3, icedtea7 2.3.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-16 03:37:48 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 862579    

Description Stefan Cornelius 2012-10-11 05:38:04 EDT
It was disovered that the com.sun.jmx.remote.util.EnvHelp class in OpenJDK could perform certain actions in an insecure manner. A malicious Java application or applet could possibly use these flaws to disclose sensitive information.A malicious Java application or applet could use this flaw to disclose possibly sensitive information.
Comment 2 Stefan Cornelius 2012-10-17 05:59:38 EDT
Fixed now in Oracle JDK 7u9.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html
Comment 3 errata-xmlrpc 2012-10-17 12:10:42 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1386 https://rhn.redhat.com/errata/RHSA-2012-1386.html
Comment 5 errata-xmlrpc 2012-10-18 12:45:51 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1391 https://rhn.redhat.com/errata/RHSA-2012-1391.html
Comment 6 errata-xmlrpc 2012-11-15 16:08:29 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html